<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Birth Day</title>
    <script>
        function dayOf(date) {
            const weekdays = [
                'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturaday'
            ];
            return weekdays[new Date(date).getDay()];
        }
    </script>
</head>
<body>
    <h1>Birth Day</h1>
    <script> 
        window.onload = function () {
            document.write('<p>Delay 1 second...</p>');
            setTimeout(function () {
                let today = new Date().toISOString();
                let date = prompt('Enter a date (yyyy-mm-dd)? ', today);
                document.write(`<p>This is a ${dayOf(date)}</p>`);
            }, 1000);
        };
    </script>
</body>
</html>
